UiPath Documentation
orchestrator
latest
false
Wichtig :
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Anleitung für die Orchestrator-API

Video recordings requests

When video recording is enabled, unattended executions can produce video recordings that are stored in system storage buckets. These requests let you retrieve time-limited download URLs for a job's or queue item's recordings and delete them.

Wichtig:

These endpoints require video recording to be enabled for the tenant and storage buckets to be configured. If video recording is not enabled, the requests return an error.

The download URLs returned by the read requests are time-limited SAS (shared access signature) URLs that point directly to each recording file. You do not need to know the file names, the response contains one ready-to-use URL per recording. Download the recording by issuing a GET request to each returned Uri.

Erforderliche Berechtigungen

RequestBerechtigungen
Get job recording download URLsJobs.View und ExecutionMedia.View
Delete job recordingsJobs.Delete und ExecutionMedia.Delete
Get queue item recording download URLsJobs.View, Queues.View, and ExecutionMedia.View
Delete queue item recordingsQueues.Delete und ExecutionMedia.Delete

Getting the download URLs for a job's recordings

This GET request returns the download URLs for all the recordings associated with a job. The job is identified by its {jobKey}, which is the GUID Key field of the job (not the numeric Id). You can retrieve a job's Key from the Jobs requests, for example, GET /odata/Jobs?$filter=Id eq 125161 returns the Key.

API-Endpunkt

Abrufen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}/read

Anforderungsheader

SchlüsselWert
AutorisierungBearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

Antwortcode

200 OK

Antworttext

[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
Hinweis:

A job can have at most 10 recording files. Each Uri is valid for a limited time; request the URLs again if they expire. For recordings served through Orchestrator's built-in SAS mechanism, the file extension is appended to the URL as a &type= query parameter so you can determine the file type.

Deleting a job's recordings

This DELETE request removes all the recording files associated with a job, identified by its GUID {jobKey}.

API-Endpunkt

Löschen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}

Anforderungsheader

SchlüsselWert
AutorisierungBearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

Antwortcode

204 Kein Inhalt

Getting the download URLs for a queue item's recordings

This GET request returns the download URLs for all the recordings associated with a queue item, identified by its numeric {queueItemId}.

API-Endpunkt

Abrufen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}/Read

Anforderungsheader

SchlüsselWert
AutorisierungBearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

Antwortcode

200 OK

Antworttext

[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]

Deleting a queue item's recordings

This DELETE request removes all the recording files associated with a queue item, identified by its numeric {queueItemId}.

API-Endpunkt

Löschen

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}

Anforderungsheader

SchlüsselWert
AutorisierungBearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

Antwortcode

204 Kein Inhalt

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben